from django.db import models

from core.http.models import base
from core.http.models.user import User


class Sklad(base.AbstractBaseModel):
    user_id = models.ForeignKey(
        to=User, on_delete=models.CASCADE, related_name="sklad"
    )

    def __str__(self):
        return f"Sklad - {self.user_id}"

    class Meta:
        verbose_name_plural = "Sklad"
        db_table = "sklad"
